package de.renew.formalism.fs;

import de.renew.simulator.*;
import de.renew.expression.*;
import collections.*;
import de.renew.unify.*;
import de.renew.util.*;

public class FSArcOccurrence extends ArcOccurrence {
	
  public FSArcOccurrence(Arc arc, VariableMapper mapper, NetInstance netInstance) {
    super(arc,mapper,netInstance);
  }

  protected InhibitorArcBinder getInhibitorArcBinder(Variable tokenVar,
  						     PlaceInstance placeInstance) {
	return new FSInhibitorArcBinder(tokenVar,placeInstance);
  }
}
