package de.renew.formalism.fsnet;

import de.renew.simulator.*;
import de.renew.unify.Impossible;

public class FSNetInstance extends NetInstanceImpl {

  public FSNetInstance() {
    super();
  }

  public String getOf() {
    return getNet().getName();
  }

  public void setOf(String netName) {
    try {
      Net net=Net.forName(netName);
      initNet(net,true);
      createConfirmation(SilentTracer.INSTANCE);
    } catch (NetNotFoundException e) {
      throw new RuntimeException("Could not make an FSNet instance: "+e);
    } catch (Impossible e) {
      throw new RuntimeException("Could not make an FSNet instance.");
    }
  }
}
