package de.renew.formalism.fsnet;

import de.renew.unify.Impossible;
import de.renew.function.Function;
import de.uni_hamburg.fs.*;

public class InstantiateFunction implements Function {

  public static final InstantiateFunction INSTANCE=new InstantiateFunction();

  private InstantiateFunction() { }

  public Object function(Object param) throws Impossible {
    if (param instanceof FeatureStructure) {
      FeatureStructure fs=(FeatureStructure)param;
      try {
	return fs.instantiate();
      } catch (NotInstantiableException nie) {
	throw new Impossible(nie.getMessage());
      }
    } else {
      return param;
    }
  }
}
