package de.renew.function;

import de.renew.unify.*;
import java.lang.reflect.Method;

public class DynamicMethodFunction extends AbstractMethodFunction {
  String method;

  public DynamicMethodFunction(String method) {
    this.method=method;
  }

  public Object doFunction(Object obj, Object[] paramArr)
    throws Exception
  {
    return Executor.executeMethod(obj.getClass(),obj,method,paramArr);
  }

	public String toString() {
		return "DynamicMethodFunc: "+method;
	}
}

