/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

package de.renew.gui;

import CH.ifa.draw.framework.*;
import CH.ifa.draw.util.ColorMap;
import de.renew.simulator.NetInstance;
import de.renew.remote.*;
import java.awt.*;

/**
 * Class documentation.
 */
public class NetInstanceHandle extends ClickHandle
{
	NetInstanceAccessor netInstance;

	/**
	 * Constructor documentation.
	 * @param owner
	 * @param box
	 * @param netInstance
	 */
	public NetInstanceHandle(Figure owner, Rectangle box, NetInstanceAccessor netInstance)
	{
		super(owner, ColorMap.NONE, Color.blue, box);
		this.netInstance = netInstance;
	}

	/**
	 * Method documentation.
	 * @param x
	 * @param y
	 * @param view
	 */
	public void invokeStart(int x, int y, DrawingView view)
	{
		super.invokeStart(x, y, view);
		noChangesMade();

		((CPNApplication) view.editor()).openInstanceDrawing(netInstance);
	}

	// protected void drawInner(Graphics g) {
	// g.setColor(Color.blue);
	// g.drawLine(box.x,box.y+box.height-1,box.x+box.width,box.y+box.height-1);
	// }

}
