package de.renew.gui.xml;

import org.xml.sax.*;
import de.renew.gui.*;
import CH.ifa.draw.figures.*;
import java.awt.Color;

class TextParseState implements ParseState {
  ParseState env;
  TextFigure figure;
  StringBuffer text;
  
  TextParseState(ParseState env, TextFigure figure) {
    this.env=env;
    this.figure=figure;
    text=new StringBuffer();
  }

  public ParseState startElement(String name, AttributeList atts) {
    // There should be no nested elements.
    return new IgnoreElementState(this);
  }
  public ParseState endElement(String name) {
    figure.setText(text.toString());
    // That's it.
    return env;
  }
  public ParseState characters(char ch[], int start, int length) {
    text.append(ch,start,length);
    return this;
  }
}
