package de.renew.simulator;

import java.util.*;

/**
 * A collecting finder lists all bindings that
 * are found by a searcher.
 */
class CollectingFinder implements Finder {
  private Collection bindings=new ArrayList();

  public void found(Searcher searcher) {
    bindings.add(new Binding(searcher));
  }

  // I will never be satisfied with the bindings that I have collected.
  public boolean isCompleted() {
    return false;
  }

  public Collection bindings() {
    return bindings;
  }
}
