package de.renew.simulator;

import collections.CollectionEnumeration;
import de.renew.expression.VariableMapper;
import de.renew.expression.Expression;
import de.renew.util.SingletonEnumeration;

public class ConditionalInscription implements TransitionInscription {
  Expression conditionExpression;
  TransitionInscription inscription;

  public ConditionalInscription(Expression conditionExpression,
    TransitionInscription inscription)
  {
    this.conditionExpression=conditionExpression;
    this.inscription=inscription;
  }

  public CollectionEnumeration makeOccurrences(VariableMapper mapper,
    NetInstance netInstance, Searcher searcher)
  {
    return new SingletonEnumeration(new ConditionalOccurrence(this,
      mapper,netInstance));
  }
}
