package de.renew.simulator;

import collections.*;
import de.renew.unify.*;
import java.util.Enumeration;

public class ExecuteFinder implements Finder {
  private Binding binding;

  public ExecuteFinder() {}
  
  public void found(Searcher searcher) {
    if (binding!=null) {
      throw new RuntimeException("ExecuteFinder was reused.");
    }
    binding=new Binding(searcher);
  }

  public boolean isCompleted() {
    return binding!=null;
  }

  public boolean execute(final Tracer tracer, final boolean asynchronous) {
    boolean result=binding.execute(tracer,asynchronous);
    binding=null;
    return result;
  }
}
