package de.renew.simulator;

import de.renew.expression.*;
import collections.*;
import de.renew.unify.*;
import de.renew.util.EmptyEnumeration;

public class ExpressionInscription implements TransitionInscription {
	static final long serialVersionUID = -411915174051847365L;

  Expression expression;
  
  public ExpressionInscription(Expression expression) {
    this.expression=expression;
  }

	public Expression getExpression()
	{
		return expression;
	}

	public CollectionEnumeration makeOccurrences(VariableMapper mapper,
    NetInstance netInstance, Searcher searcher) throws Impossible
  {
    expression.startEvaluation(mapper,searcher.recorder,searcher.calcChecker);
    return new EmptyEnumeration();
  }

  public String toString() {
    return "ExpressionInscription: "+expression;
  }
}
