package de.renew.simulator;

import collections.*;
import de.renew.unify.*;
import de.renew.util.Value;

public class InhibitorArcBinder extends ArcRemoveBinder {
    protected InhibitorArcBinder(Variable variable,
		       PlaceInstance placeInstance)
    {
	super(variable,placeInstance);
    }

    protected boolean mayBind() {
	return true;
    }
    protected boolean possible(TokenReserver reserver, Object token) {
	return !placeInstance.containsTestableToken(token);
    }
    protected boolean remove(TokenReserver reserver, Object token) {
	return possible(reserver,token);
    }

    protected void unremove(TokenReserver reserver, Object token) {
	// Nothing to do. No tokens are moved.
    }
}
