/**
 * SilentTracerFactory.java
 *
 *
 * Created: Thu Mar  9 10:59:13 2000
 *
 * @author Frank Wienberg
 * @version 1.1
 */

package de.renew.simulator;

public class SilentTracerFactory implements TracerFactory {

  public static final SilentTracerFactory INSTANCE=new SilentTracerFactory();

  public Tracer getTracer(String initialMessage, String prefix) {
      return SilentTracer.INSTANCE;
  }

}
