package de.renew.util;

import collections.CollectionEnumeration;
import java.util.NoSuchElementException;

public class SingletonEnumeration implements CollectionEnumeration {
  private boolean read;
  private Object obj;

  public SingletonEnumeration(Object obj) {
    this.obj=obj;
    read=false;
  }

  public boolean hasMoreElements() {
    return !read;
  }
  public java.lang.Object nextElement() throws NoSuchElementException {
    if (read) {
      throw new NoSuchElementException();
    }
    read=true;
    return obj;
  }
  public boolean corrupted() {
    return false;
  }
  public int numberOfRemainingElements() {
    if (read) {
      return 0;
    } else {
      return 1;
    }
  }
}
