/*
 * @(#)ReplaceCommand.java 5.1
 *
 */

package CH.ifa.draw.standard;

import de.renew.gui.*;
import java.awt.*;
import CH.ifa.draw.util.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.application.*;

/**
   The SearchCommand builds a SearchReplaceFrame
   in the SEARCHREPLACEMODE.
 */
public class ReplaceCommand extends Command {

    private DrawApplication application;
    private SearchReplaceFrame replaceFrame;

    public ReplaceCommand(String name, 
			  DrawApplication application) {
	super(name);
	this.application = application;

	replaceFrame=new SearchReplaceFrame(this.application,
					    SearchReplaceFrame.SEARCHREPLACEMODE);
    }

    public void execute() {
	replaceFrame.reset();
	replaceFrame.setVisible(true);
	}

    public boolean isExecutable() {
	return true;
    }

}


