/*
 * @(#)SearchCommand.java 5.1
 *
 */

package CH.ifa.draw.standard;

//import de.renew.gui.*;
import java.awt.*;
import CH.ifa.draw.util.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.application.*;

/**
   The SearchCommand builds a SearchReplaceFrame
   in the SEARCHMODE.
 */
public class SearchCommand extends Command {

    private DrawApplication application;
    private SearchReplaceFrame searchFrame;

    public SearchCommand(String name, 
			 DrawApplication application) {
	super(name);
	this.application = application;

	searchFrame=new SearchReplaceFrame(this.application,
					   SearchReplaceFrame.SEARCHMODE);
    }

    public void execute() {
	searchFrame.reset();
	searchFrame.setVisible(true);
	}

    public boolean isExecutable() {
	return true;
    }

}


