package de.renew.formalism.efsnet;

import de.renew.unify.Impossible;
import de.renew.function.Function;
import de.uni_hamburg.fs.*;

public class PlaceMarkingFunction implements Function {
  String placeName;

  private static Object[] NONE=new Object[0];

  public PlaceMarkingFunction(String placeName) {
    this.placeName=placeName;
  }

  public Object function(Object param) throws Impossible {
    if (param instanceof FeatureStructure) {
      FeatureStructure post=(FeatureStructure)param;
      Object result=null;
      try {
	result=post.at(placeName+":val");
      } catch (NoSuchFeatureException nsf) {}
      if (result==null)
	  return NONE;
      else
	  return new Object[]{result};
    } else {
      throw new Impossible("Argument of PlaceMarkingFunction was not a Feature Structure!");
    }
  }
}
