package de.renew.formalism.fs;

import de.renew.shadow.*;

public class ShadowConcept extends ShadowInscribable {

  private String namespace, name, approp;

  public ShadowConcept(ShadowNet net, String name, String approp) {
    super(net);
    int end=name.indexOf("::");
    if (end==-1) {
	namespace = net.getName();
	this.name = name;
    } else {
	namespace = name.substring(0,end);
	this.name = name.substring(end+2);
    }
    this.approp=approp;
  }

    //  public void setName(String name) {
    //    this.name=name;
    //  }

  public String getName() {
    return name;
  }

  public String getNamespace() {
    return namespace;
  }

  public String getFullName() {
    return namespace+"::"+name;
  }

  public void setApprop(String approp) {
    this.approp=approp;
  }

  public String getApprop() {
    return approp;
  }

  public void discard() {
    // is there anything else to do here?
  }

}
