package de.renew.formalism.fsnet;

import java.awt.*;
import java.awt.event.*;
import de.renew.call.SynchronisationRequest;
import de.renew.unify.Tuple;
import de.renew.simulator.NetInstance;
import de.renew.expression.*;
import de.renew.unify.Variable;
import de.renew.formalism.fs.FSNetCompiler;
import de.uni_hamburg.fs.*;

public class ActionListenerFSNet extends EventListenerFSNet
                                 implements ActionListener {

  public void actionPerformed(ActionEvent event) {
    eventOccured(event);
  }

  public ActionListenerFSNet() {
  }

  public ActionListenerFSNet(NetInstance instance) {
    super(instance);
  }

  public ActionListenerFSNet(NetInstance instance, Object component) {
    this(instance);
    setComponent(component);
  }

  public void setComponent(Object comp) {
    if (myComponent!=null) {
      // remove old listener:
      if (myComponent instanceof Button)
	  ((Button)myComponent).removeActionListener(this);
      else if (myComponent instanceof List)
	  ((List)myComponent).removeActionListener(this);
      else if (myComponent instanceof MenuItem)
	  ((MenuItem)myComponent).removeActionListener(this);
      else if (myComponent instanceof TextField)
	  ((TextField)myComponent).removeActionListener(this);
    }
    myComponent=comp;
    if (comp instanceof Button)
	((Button)comp).addActionListener(this);
    else if (comp instanceof List)
	((List)comp).addActionListener(this);
    else if (comp instanceof MenuItem)
	((MenuItem)comp).addActionListener(this);
    else if (comp instanceof TextField)
	((TextField)comp).addActionListener(this);
  }

}
