package de.renew.formalism.fsnet;

import java.awt.*;
import java.awt.event.*;
import de.renew.call.SynchronisationRequest;
import de.renew.unify.Tuple;
import de.renew.simulator.NetInstance;
import de.renew.expression.*;
import de.renew.unify.Variable;
import de.renew.formalism.fs.FSNetCompiler;
import de.uni_hamburg.fs.*;

public class ItemListenerFSNet extends EventListenerFSNet
                                 implements ItemListener {

  public void itemStateChanged(ItemEvent event) {
    eventOccured(event);
  }

  public ItemListenerFSNet() {
  }

  public ItemListenerFSNet(NetInstance instance) {
    super(instance);
  }

  public ItemListenerFSNet(NetInstance instance, ItemSelectable component) {
    this(instance);
    setComponent(component);
  }

  public void setComponent(Object comp) {
    if (myComponent instanceof ItemSelectable)
      // remove old listener:
      ((ItemSelectable)myComponent).removeItemListener(this);
    myComponent=comp;
    if (myComponent instanceof ItemSelectable)
      // add new listener:
      ((ItemSelectable)myComponent).addItemListener(this);
  }

}
