/*
 * @(#)EFSNetMode.java 5.1
 *
 */

package de.renew.gui.fs;

import CH.ifa.draw.framework.Figure;
import de.renew.formalism.efsnet.*;
import de.renew.shadow.ShadowCompiler;
import de.renew.gui.*;
import de.uni_hamburg.fs.*;
import java.awt.Menu;
import CH.ifa.draw.util.CommandMenu;

/**
 * The mode for Elementary FSNets
 */
public class EFSNetMode extends FSNetMode {

  public ShadowCompiler getCompiler() {
      return new EFSNetCompiler();
  }

    protected void modifyAttributesMenu(CPNApplication editor, Menu attrMenu) {
	super.modifyAttributesMenu(editor,attrMenu);
	CommandMenu semanticsMenu = editor.createCommandMenu("Semantics");
	semanticsMenu.add(new SetEFSNetSemanticsCommand("Reference",
							 editor,
							 false));
	semanticsMenu.add(new SetEFSNetSemanticsCommand("Value",
							 editor,
							 true));
	attrMenu.add(semanticsMenu);

    }

}

