package de.renew.gui.maria;

import java.util.Vector;
import java.awt.*;
import de.renew.gui.*;
import CH.ifa.draw.framework.*;

public class MariaPlaceFigure extends PlaceFigure {
    /**
     * Creates a new MariaPlaceFigure.
     */
    protected Figure createFigure() {
        return new MariaPlaceFigure();
    }

    public Vector handles() {
        Vector handles = super.handles();
	// Replace ordinary arc connection handle by a specialized one.
        handles.removeElementAt(handles.size()-1);
	handles.addElement(new MariaArcConnectionHandle(this));
	return handles;
    }

  public void addInscriptions(DrawingView view) {
      Rectangle rect = displayBox();

      CPNTextFigure typeFigure=new CPNTextFigure(CPNTextFigure.AUX);
      typeFigure.setText("token");
      typeFigure.setParent(this);
      view.add(typeFigure);
      typeFigure.moveBy(-16-rect.width*2/5,-rect.height*2/5-5);
  }
}
