package de.renew.simulator;

import de.renew.expression.*;
import collections.*;
import de.renew.unify.Tuple;
import de.renew.util.SingletonEnumeration;

public class DownlinkInscription implements TransitionInscription {
  String name;
  Expression params;
  Expression callee;
  boolean isOptional;

  public DownlinkInscription(String name, Expression params,
    Expression callee, boolean isOptional)
  {
    this.name=name;
    this.params=params;
    this.callee=callee;
    this.isOptional=isOptional;
  }

  public CollectionEnumeration makeOccurrences(VariableMapper mapper,
    NetInstance netInstance, Searcher searcher)
  {
    return new SingletonEnumeration(new DownlinkOccurrence(this,
      mapper));
  }
}
