package de.renew.simulator;

import collections.*;
import de.renew.unify.*;

public class EnumeratorBinder extends AssignBinder {
  private EnumeratorInscription enumerator;

  EnumeratorBinder(EnumeratorInscription enumerator,
		   Variable variable)
  {
    super(variable,enumerator.checkBound);
    this.enumerator=enumerator;
  }

  public final void lock() {}

  public final void unlock() {}

  public CollectionEnumeration getCandidates(Object pattern) {
    return enumerator.getCandidates(pattern);
  }
  
  public TriggerableCollection getTriggerables() {
    return null;
  }
}
