package de.renew.simulator;

import collections.*;
import de.renew.event.*;

public class FiringStartExecutable implements LateExecutable {
  private FiringEvent event;

  FiringStartExecutable(FiringEvent event) {
    this.event=event;
  }

  public int phase() { 
    return START;
  }

  public boolean isLong() {
    return false;
  }

  public void execute(Tracer tracer) {
    event.getTransitionInstance().firingStarted(event);
  }
}
