package de.renew.simulator;

import de.renew.expression.*;
import collections.*;
import de.renew.unify.*;
import de.renew.util.Value;
import de.renew.util.EmptyEnumeration;

public class GuardInscription implements TransitionInscription {
  Expression expression;
  
  public GuardInscription(Expression expression) {
    this.expression=expression;
  }

  public CollectionEnumeration makeOccurrences(VariableMapper mapper,
    NetInstance netInstance, Searcher searcher) throws Impossible
  {
    Unify.unify(expression.startEvaluation(mapper,
        searcher.recorder,searcher.calcChecker),new Value(Boolean.TRUE),
      searcher.recorder);
    return EmptyEnumeration.INSTANCE;
  }
}
